SDL_RumbleJoystick(3)

NAME
SDL_RumbleJoystick - Start a rumble effect.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

bool SDL_RumbleJoystick(SDL_Joystick *joystick, Uint16 low_frequency_rumble, Uint16 high_frequency_rumble, Uint32 duration_ms);

DESCRIPTION
Each call to this function cancels any previous rumble effect, and calling it with 0 intensity stops any rumbling.

This function requires you to process SDL events or call SDL_UpdateJoysticks() to update rumble state.

FUNCTION PARAMETERS

joystick
    the joystick to vibrate.

low_frequency_rumble
    the intensity of the low frequency (left) rumble motor, from 0 to 0xFFFF.

high_frequency_rumble
    the intensity of the high frequency (right) rumble motor, from 0 to 0xFFFF.

duration_ms
    the duration of the rumble effect, in milliseconds.

RETURN VALUE
Returns true, or false if rumble isn't supported on this joystick.

AVAILABILITY
This function is available since SDL 3.2.0.